%define module  Term-Report
%define name	perl-%{module}
%define version 1.18
%define release 3mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Easy way to create dynamic 'reports' from within scripts
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/S/SH/SHAYH/%{module}-%{version}.tar.bz2
Url:            http://www.cpan.org
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description 
Term::Report can be used to generate nicely formatted dynamic output. It can
also use Term::StatusBar to show progress and Number::Format so numbers show up
more readable. All output is sent to STDOUT by default.

The current release may not be compatible with previous code. Many changes were
made with regards to how output could be formatted.

%prep
%setup -q -n %{module}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Term*
%{_mandir}/*/*

%changelog
* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-3mdk 
- fix buildrequires in a backward compatible way

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-2mdk 
- fix buildrequires

* Thu Nov 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-1mdk 
- first mdk release
